
public class TestMD {

  public static void test() throws Exception {


    System.out.println("OFF\n# Test Start");

    MeshData md = new MeshData("input_files/cube_multi_color.off") ;
    Transform rend = new Transform(); 
    
    double vertices[] = md.getVertices ();
    int    faces   [] = md.getFaces    ();
    double   colors  [] = md.getColors   (); 
    double normals [] = md.getNormals();

    System.out.println("vertices + colors: ") ;
    for (int i = 0 ; i < vertices.length / 3 ; i++ ){
      System.out.println(
        vertices[ 3 * i + 0 ] + " " +
        vertices[ 3 * i + 1 ] + " " +
        vertices[ 3 * i + 2 ] + " " +
        colors  [ 3 * i + 0 ] + " " +
        colors  [ 3 * i + 1 ] + " " +
        colors  [ 3 * i + 2 ]);
    }
    
    System.out.println("faces: ") ;
    for (int i = 0 ; i < faces.length / 3 ; i++ ){
      System.out.println(
        faces[ 3 * i + 0 ] + " " +
        faces[ 3 * i + 1 ] + " " +
        faces[ 3 * i + 2 ] );
    }
 
    System.out.println("computed vertices normals: ") ;
    for (int i = 0 ; i < vertices.length / 3 ; i++ ){
        System.out.println(
          normals[ 3 * i + 0 ] + " " +
          normals[ 3 * i + 1 ] + " " +
          normals[ 3 * i + 2 ]);
      }
   
    System.out.println("vertices after change of basis: ") ;
      
    for (int i = 0 ; i < vertices.length / 3 ; i++ ){
        System.out.println(
          vertices[ 3 * i + 0 ] + " " +
          vertices[ 3 * i + 1 ] + " " +
          vertices[ 3 * i + 2 ] + " " +
          colors  [ 3 * i + 0 ] + " " +
          colors  [ 3 * i + 1 ] + " " +
          colors  [ 3 * i + 2 ]);
      }
     
  }

  public static void main(String[] args) {

    try {
      test() ;
    } catch (Exception e) {
      System.out.println("EXCEPTION: " + e) ;
      e.printStackTrace() ;
    }

  }
}
