

public class TestTransform {

  public static void test() throws Exception {


    System.out.println("OFF\n# Test Start");

    Parms p = new Parms("input_files/example1.in") ;
    MeshData md = new MeshData(p.getMeshFileName()) ;
    
    double vertices[] = md.getVertices ();

    for (int i = 0 ; i < vertices.length / 3 ; i++ ){
      System.out.println(
        vertices[ 3 * i + 0 ] + " " +
        vertices[ 3 * i + 1 ] + " " +
        vertices[ 3 * i + 2 ] );
    }
    
    vertices = Transform.world2Camera(vertices , p);
    
    System.out.println("vertices after change of basis: ") ;
    
    for (int i = 0 ; i < vertices.length / 3 ; i++ ){
        System.out.println(
          vertices[ 3 * i + 0 ] + " " +
          vertices[ 3 * i + 1 ] + " " +
          vertices[ 3 * i + 2 ] );
      }
    
    vertices=Transform.projection(vertices,p);
    
    System.out.println("vertices after projection: ") ;
    
    for (int i = 0 ; i < vertices.length / 3 ; i++ ){
        System.out.println(
          vertices[ 3 * i + 0 ] + " " +
          vertices[ 3 * i + 1 ] + " " +
          vertices[ 3 * i + 2 ] );
      }
 
    vertices=Transform.camera2Raw2D(vertices,p);
    
    System.out.println("vertices in viewing plane: ") ;
    
    for (int i = 0 ; i < vertices.length / 3 ; i++ ){
        System.out.println(
          vertices[ 3 * i + 0 ] + " " +
          vertices[ 3 * i + 1 ] + " " +
          vertices[ 3 * i + 2 ] );
      }
     
  }

  public static void main(String[] args) {

    try {
      test() ;
    } catch (Exception e) {
      System.out.println("EXCEPTION: " + e) ;
      e.printStackTrace() ;
    }

  }
}
