

import java.lang.Double;

public class Zbuffer {
	private double[][] buffer;
	
	/**
	 * constructeur: initializes a z-buffer
	 * @param w
	 * @param h
	 */
	public Zbuffer(int w, int h){
		buffer = new double[w][h];
		
		for (int i = 0; i < buffer.length; i++) {
			for (int j = 0; j < buffer[0].length; j++) {
				buffer[i][j] = Double.POSITIVE_INFINITY;
			}
		}
	}

	/**
	 * clears the existing buffer
	 */
	public void clearBuffer(){
		if (buffer.length != 0){
			for (int i = 0; i < buffer.length; i++) {
				for (int j = 0; j < buffer[0].length; j++) {
					buffer[i][j] = Double.POSITIVE_INFINITY;
				}
			}
		}
	}

	/**
	 * asks if the pixel is in front of the current pixel on the screen
   * (x, y) *must* be in   [0,w[ x [0,h[
	 * @param x 
	 * @param y
	 * @param z
	 * @return true or false
	 */
	public boolean seePixel(int x, int y, double z){
		if (buffer[x][y] > z){
			buffer[x][y] = z;
			return true;
		}
		else
			return false;
	}

	
}
	
	
